## org.apache.http.impl.conn
Class LoggingSessionInputBuffer

    java.lang.Object
      org.apache.http.impl.conn.LoggingSessionInputBuffer

All Implemented Interfaces:
  EofSensor, SessionInputBuffer

    @Immutable
    public class LoggingSessionInputBuffer

extends Object
implements SessionInputBuffer, EofSensor

Logs all data read to the wire LOG.

Since:
  4.0

Constructor Summary
`LoggingSessionInputBuffer(SessionInputBuffer in, Wire wire)`
`LoggingSessionInputBuffer(SessionInputBuffer in, Wire wire, String charset)` Create an instance that wraps the specified session input buffer.

Method Summary
`HttpTransportMetrics` `getMetrics()`
`boolean` `isDataAvailable(int timeout)`
`boolean` `isEof()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`String` `readLine()`
`int` `readLine(CharArrayBuffer buffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingSessionInputBuffer

    public LoggingSessionInputBuffer(SessionInputBuffer in,
                                     Wire wire,
                                     String charset)

  Create an instance that wraps the specified session input buffer.

  Parameters:
    `in` - The session input buffer.
    `wire` - The wire log to use.
    `charset` - protocol charset, `ASCII` if `null`

### LoggingSessionInputBuffer

    public LoggingSessionInputBuffer(SessionInputBuffer in,
                                     Wire wire)

Method Detail

### isDataAvailable

    public boolean isDataAvailable(int timeout)
                            throws IOException

  Specified by:
    `isDataAvailable` in interface `SessionInputBuffer`
  Throws:
    `IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Specified by:
    `read` in interface `SessionInputBuffer`
  Throws:
    `IOException`

### read

    public int read()
             throws IOException

  Specified by:
    `read` in interface `SessionInputBuffer`
  Throws:
    `IOException`

### read

    public int read(byte[] b)
             throws IOException

  Specified by:
    `read` in interface `SessionInputBuffer`
  Throws:
    `IOException`

### readLine

    public String readLine()
                    throws IOException

  Specified by:
    `readLine` in interface `SessionInputBuffer`
  Throws:
    `IOException`

### readLine

    public int readLine(CharArrayBuffer buffer)
                 throws IOException

  Specified by:
    `readLine` in interface `SessionInputBuffer`
  Throws:
    `IOException`

### getMetrics

    public HttpTransportMetrics getMetrics()

  Specified by:
    `getMetrics` in interface `SessionInputBuffer`

### isEof

    public boolean isEof()

  Specified by:
    `isEof` in interface `EofSensor`

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.